| Home | Libraries | People | FAQ | More

##### operator=(rtree const &)

The assignment operator.

###### Description

It uses parameters and observers from the source tree.

###### Synopsis

    rtree & operator=(rtree const & src)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree` `const &` | `src` | The rtree which content will be copied.

###### Throws

- If Value copy constructor throws.
- If allocation throws.
- If allocation throws or returns invalid value.